PUT groups Id

PUT/groups/{id}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

idinteger

The unique identifier of the group to update.

Formatint32

The data transfer object containing the updated group information.

namestring

The name of the Group.

Length0 <= length <= 100
activeboolean

Status of the group. Inactive groups are hidden from administrative views to prevent clutter, but are preserved in the database for historical records and statistics (e.g., the Almanac).

typestring

Defines the type of a Group.

Formatint32
Value in"Committee" | "WorkingGroup" | "Dispute"

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/groups/0" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "active": true,    "type": "Committee"  }'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}